Unit main_u;

Interface

Uses
    Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
    StdCtrls, ExtCtrls, ComCtrls;

Type
    TForm1 = Class(TForm)
        Timer1: TTimer;
        Edit1: TEdit;
        RichEdit1: TRichEdit;
        Label1: TLabel;
        Label2: TLabel;
        Procedure Timer1Timer(Sender: TObject);
        Procedure FormCreate(Sender: TObject);
        Procedure FormClose(Sender: TObject; Var Action: TCloseAction);
    PRIVATE
    { Private declarations }
    PUBLIC
    { Public declarations }
        TickCnt: Integer;
        MousePnt: TPoint;
    End;

Var
    Form1: TForm1;

Implementation

{$R *.DFM}

Uses WordCaptureUnit;

Procedure TForm1.Timer1Timer(Sender: TObject);
Var
    CurMouse: TPoint;
    AWord: Array[0..200] Of Char;
Begin
    GetCursorPos(CurMouse);
    If (CurMouse.X <> MousePnt.X) Or (CurMouse.Y <> MousePnt.Y) Then Begin
        TickCnt := 0;
        MousePnt := CurMouse;
        Exit;
    End;

    Timer1.Enabled := False;

    Inc(TickCnt);
    If TickCnt = 1 Then Begin
        CaptureWord(AWord, 200);
        Edit1.Text := Trim(AWord);
        Edit1.SetFocus;
        Edit1.SelectAll;
    End;

    Timer1.Enabled := True;
End;

Procedure TForm1.FormCreate(Sender: TObject);
Begin
    If Not DLLLoad Then ShowMessage('DLL Loading Error - Only one instance can be available');

    StartCapture;

    RichEdit1.Lines.LoadFromFile('Readme.rtf');

    TickCnt := 0;
    GetCursorPos(MousePnt);

    if DLLLoaded then Timer1.Enabled := True;
End;

Procedure TForm1.FormClose(Sender: TObject; Var Action: TCloseAction);
Begin
    Timer1.Enabled := False;

    StopCapture;
    If DLLLoaded and (Not DLLUnload) Then ShowMessage('DLL Unloading Error');
End;


End.

